Bug 62795 - ifdown for ethernet interface w/ no ip address raises errors
ifdown for ethernet interface w/ no ip address raises errors
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-05 12:36 EST by kinger
Modified: 2014-03-16 22:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-12 02:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kinger 2002-04-05 12:36:40 EST
Description of Problem:
If I bring up an ethernet interface without an ip address, when I go to down the
interface with ifdown, I get an ipcalc error repeated several times. The
interface does actually go down however.

Version-Release number of selected component (if applicable):


How Reproducible:
Always for me.

Steps to Reproduce:
1. Use this ifcfg-eth3:
DEVICE=eth3
BOOTPROTO=static
BROADCAST=
IPADDR=
NETMASK=
NETWORK=
ONBOOT=yes
ARP=off
PROMISC=on

2. ifup eth3
3. ifdown eth3

Actual Results: The goes down with the following error repeated four times:
ipcalc: ip address expected
Usage: ipcalc [OPTION...]
  -b, --broadcast     Display calculated broadcast address
  -h, --hostname      Show hostname determined via DNS
  -m, --netmask       Display default netmask for IP (class A, B, or C)
  -n, --network       Display network address
  -p, --prefix        Display network prefix
  -s, --silent        Don't ever display error messages 

Help options:
  -?, --help          Show this help message
  --usage             Display brief usage message

Expected Results:
Should work without complaint.

Additional Information:
Comment 1 Bill Nottingham 2002-06-12 02:58:16 EDT
Does this persist in 7.3?
Comment 2 Bill Nottingham 2002-11-25 17:01:45 EST
closed, no respones

Note You need to log in before you can comment on or make changes to this bug.